﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.801
@EndOfDesignText@
#Region  Activity Attributes 
  #FullScreen: True
  #IncludeTitle: True
#End Region

Sub Process_Globals
  'These global variables will be declared once when the application starts.
  'These variables can be accessed from all modules.
  
  Public mesaa_ordenar As String
	
  Private xui As XUI
  
  Private PLATOSYBEBIDAS_LIST = "platosybebidas_list" As String
  
End Sub

Sub Globals
  'These global variables will be redeclared each time the activity is created.
  'These variables can only be accessed from this module.

  Private CLV1 As CustomListView
  Private ImageView1 As B4XView
  Private label1 As Label
  Private label2 As Label
  Private label3 As Label
  Private Label4 As Label
  Private lblTitle As B4XView  
  Private Button1 As Button
  
  Private BtnPedir As Button
  Private BtnRestar As Button
  Private BtnSumar As Button
  Private TextCantidad As EditText
    
  Private EditText1 As B4XView
  
End Sub

Sub Activity_Create(FirstTime As Boolean)	
  'Do not forget to load the layout file created with the visual designer. For example:
  
  Activity.LoadLayout("escogerplatosybebidas")
  Activity.Color=Colors.RGB(255,255,255)
    
  Button1.TextColor = Colors.Black
  
  label2.Text = "MESA : " & Main.mesaa_ordenar
  
  Dim Query As String
  Dim job As HttpJob
  Dim JobName As String
  
  'Realiza el Query
  Query = "SELECT * FROM tblplatosybebidas ORDER BY codigo"
  JobName =	PLATOSYBEBIDAS_LIST

  'Realiza la conexion al servidor web .... devuelve una respuesta en JSON -Ver script de cnxb4a_frutycon.php
  job.Initialize(JobName,Me)
  job.PostString("Aquivalaurl/carpetadeconexion/archivodeconexion.php", Query) 'eg. cnxb4a_frutycon.php
  
  ProgressDialogShow("Espere ....")
  
End Sub

Sub JobDone(Job As HttpJob)

  If Job.Success Then
  	
	Dim res As String
	Dim parser As JSONParser
	
	res = Job.GetString		
    parser.Initialize(res)
	
    Dim PLATOSYBEBIDAS As List
	PLATOSYBEBIDAS = parser.NextArray 'returns a list with maps
	
	For i = 1 To PLATOSYBEBIDAS.Size - 1 
      
	  Dim m As Map	  
	  Dim codigo As String
	  Dim descripcion As String 
	  Dim precio As Int
	  
      m = PLATOSYBEBIDAS.Get(i)
	  
	  codigo = m.Get("codigo")
	  descripcion = m.Get("descripcion")
	  precio = m.Get("precio")

	  'La imagen "slide2.jpg" ... se muestra para todos los registros, 
	  'se podria descargar del servidor la imagen correspondiente a cada platobebida -eso luego lo hago
	  CLV1.Add(CreateItem(CLV1.AsView.Width, descripcion, "slide2.jpg", precio, codigo),"")
	
    Next
	
	ProgressDialogHide
	
  End If	
	
End Sub

Private Sub CreateItem(Width As Int, Title As String, Image As String, Precio As Int, Codigo As String) As Panel
	
  Dim p As B4XView = xui.CreatePanel("")
  Dim height As Int = 280dip
  
  If GetDeviceLayoutValues.ApproximateScreenSize < 4.5 Then height = 310dip
  
  p.SetLayoutAnimated(0, 0, 0, Width, height)
  p.LoadLayout("Card1")

  label1.Text = "Codigo : " & Codigo
  label1.TextColor = Colors.Black
  
  label2.Text = "Precio : $ " & NumberFormat(Precio,0,2)  
  label2.TextColor = Colors.Black
  
  label3.Text = "Cantidad : "
  label3.TextColor = Colors.Black
  
  Label4.Text = "Adicionales : "
  Label4.TextColor = Colors.Black
  
  lblTitle.Text = Title  
  
  ImageView1.SetBitmap(xui.LoadBitmapResize(File.DirAssets, Image, ImageView1.Width, ImageView1.Height, True))
  ImageView1.Left = 5%y
  
  BtnRestar.TextColor = Colors.Black
  BtnSumar.TextColor = Colors.Black 
    
  TextCantidad.TextColor = Colors.Black
    
  EditText1.SetColorAndBorder(Colors.RGB(248,247,247),0.1%x,Colors.Black,1%x) 
  
  Return p
	
End Sub

Sub btnShow_Click	
  'Boton retornar ...	
  Activity.finish  
  StartActivity("Main")  
End Sub

Sub BtnPedir_Click

End Sub

Sub BtnRestar_Click
  'Decrementa la cantidad a pedir ...	
  TextCantidad.Text = TextCantidad.Text - 1
End Sub

Sub BtnSumar_Click
  'Incrementa la cantidad a pedir ...
  TextCantidad.Text = TextCantidad.Text + 1  
End Sub
